ansible-playbooks tox failing with new ansible-lint release

Bug #1892065 reported by Don Penney on 2020-08-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
StarlingX
High
Al Bailey

Bug Description

Brief Description
-----------------
A new release of ansible-lint, 4.3.0, has added rules that are causing ansible-playbooks tox to fail.

linters runtests: commands[0] | bash -c ls playbookconfig/src/playbooks/*.yml | xargs --no-run-if-empty ansible-lint
[WARNING]: Unable to convert data using to_nice_json, falling back to to_json:
'backend' is undefined
[208] playbookconfig/src/playbooks/install.yml:63
[106] playbookconfig/src/playbooks/roles/backup-restore/prepare-env/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:30
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:102
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:152
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:265
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:294
[208] playbookconfig/src/playbooks/roles/backup/backup-system/tasks/main.yml:309
[208] playbookconfig/src/playbooks/roles/backup/prepare-env/tasks/main.yml:76
[208] playbookconfig/src/playbooks/roles/bootstrap/apply-bootstrap-manifest/tasks/main.yml:30
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/create_dc_ca.yml:12
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/main.yml:52
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/main.yml:103
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/setup_sc_adminep_certs.yml:20
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/setup_sc_adminep_certs.yml:25
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-bootstrap-applications/tasks/test_cert_manager_creation.yml:34
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_flock_services.yml:16
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_flock_services.yml:27
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_flock_services.yml:33
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_helm.yml:35
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_helm.yml:44
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_helm.yml:84
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_helm.yml:90
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_helm.yml:206
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:29
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:68
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:80
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:101
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:134
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:198
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:203
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:208
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:213
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:218
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:254
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_kubemaster.yml:383
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_local_registry.yml:64
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_local_registry.yml:187
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/bringup_local_registry.yml:256
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/load_images_from_archive.yml:17
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/main.yml:70
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/main.yml:75
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/refresh_local_dns.yml:19
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/refresh_local_dns.yml:38
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/refresh_local_dns.yml:45
[208] playbookconfig/src/playbooks/roles/bootstrap/bringup-essential-services/tasks/refresh_local_dns.yml:66
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:171
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:213
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:221
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:230
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:239
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:247
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:270
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:311
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:321
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:327
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:343
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/main.yml:349
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/one_time_config_tasks.yml:65
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/update_sysinv_database.yml:102
[208] playbookconfig/src/playbooks/roles/bootstrap/persist-config/tasks/update_sysinv_database.yml:117
[208] playbookconfig/src/playbooks/roles/bootstrap/prepare-env/tasks/main.yml:473
[208] playbookconfig/src/playbooks/roles/bootstrap/validate-config/tasks/main.yml:732
[208] playbookconfig/src/playbooks/roles/bootstrap/validate-config/tasks/main.yml:813
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/netapp/tasks/configure-snapshot-storage-classes.yml:27
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/netapp/tasks/configure-storage-classes.yml:26
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/netapp/tasks/main.yml:12
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/netapp/tasks/main.yml:19
[106] playbookconfig/src/playbooks/roles/k8s-storage-backends/snapshot-controller/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/snapshot-controller/tasks/main.yml:12
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/snapshot-controller/tasks/main.yml:17
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/snapshot-controller/tasks/main.yml:22
[208] playbookconfig/src/playbooks/roles/k8s-storage-backends/snapshot-controller/tasks/main.yml:30
[106] playbookconfig/src/playbooks/roles/restore-openstack/prepare-env/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/restore-openstack/restore/tasks/main.yml:61
[106] playbookconfig/src/playbooks/roles/restore-platform/prepare-env/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/restore-platform/prepare-env/tasks/main.yml:105
[208] playbookconfig/src/playbooks/roles/restore-platform/restore-more-data/tasks/main.yml:52
[208] playbookconfig/src/playbooks/roles/restore-platform/restore-more-data/tasks/main.yml:73
[208] playbookconfig/src/playbooks/roles/restore-platform/restore-sw-patches/tasks/main.yml:18
[106] playbookconfig/src/playbooks/roles/restore-user-images/prepare-env/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/restore-user-images/prepare-env/tasks/main.yml:30
[106] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:1
[208] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:40
[208] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:135
[208] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:181
[208] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:187
[208] playbookconfig/src/playbooks/roles/upgrade-platform/prepare-env/tasks/main.yml:199
[208] playbookconfig/src/playbooks/upgrade-k8s-networking.yml:39
[208] playbookconfig/src/playbooks/upgrade-k8s-networking.yml:47
[208] playbookconfig/src/playbooks/upgrade-k8s-networking.yml:55
[208] playbookconfig/src/playbooks/upgrade-k8s-networking.yml:63
ERROR: InvocationError: '/usr/bin/bash -c ls playbookconfig/src/playbooks/*.yml | xargs --no-run-if-empty ansible-lint'

Severity
--------
Major

Reproducibility
---------------
Reproducible

Branch/Pull Time/Commit
-----------------------
Affects master, as well as release branches, as of Aug 18, 2020

Test Activity
-------------
Dev

Reviewed: https://review.opendev.org/746754
Committed: https://git.openstack.org/cgit/starlingx/ansible-playbooks/commit/?id=c0db11934e55b95ba3fff08d53c7be0c095fe49e
Submitter: Zuul
Branch: master

commit c0db11934e55b95ba3fff08d53c7be0c095fe49e
Author: albailey <email address hidden>
Date: Tue Aug 18 10:49:30 2020 -0500

    Fix zuul failures from new release of ansible-lint

    ansible-lint 4.3.0 was just released Aug 18, 2020 and
    introduced new checks that the existing code fails.

    This blocks any ansible reviews from merging.

    The new checks which are now being suppressed:
      106 Role name does not match pattern
      208 File permissions not mentioned

    The ansible code can be updated in a future submission
    to satisy these checks if desired.

    Change-Id: I7fdfe1537420b2358110cab176c3734007830e70
    Closes-Bug: 1892065
    Signed-off-by: albailey <email address hidden>

Changed in starlingx:
status: In Progress → Fix Released

Reviewed: https://review.opendev.org/746761
Committed: https://git.openstack.org/cgit/starlingx/ansible-playbooks/commit/?id=2edd9eb2458e25f1a6f1f8dfab9a3275e78b57c7
Submitter: Zuul
Branch: r/stx.3.0

commit 2edd9eb2458e25f1a6f1f8dfab9a3275e78b57c7
Author: albailey <email address hidden>
Date: Tue Aug 18 10:49:30 2020 -0500

    Fix zuul failures from new release of ansible-lint

    ansible-lint 4.3.0 was just released Aug 18, 2020 and
    introduced new checks that the existing code fails.

    This blocks any ansible reviews from merging.

    The new checks which are now being suppressed:
      106 Role name does not match pattern
      208 File permissions not mentioned

    The ansible code can be updated in a future submission
    to satisy these checks if desired.

    Change-Id: I7fdfe1537420b2358110cab176c3734007830e70
    Closes-Bug: 1892065
    Signed-off-by: albailey <email address hidden>
    (cherry picked from commit c0db11934e55b95ba3fff08d53c7be0c095fe49e)

Reviewed: https://review.opendev.org/746762
Committed: https://git.openstack.org/cgit/starlingx/ansible-playbooks/commit/?id=9f6ac40b679faaeee755c21e6fb5969a29d64da0
Submitter: Zuul
Branch: r/stx.4.0

commit 9f6ac40b679faaeee755c21e6fb5969a29d64da0
Author: albailey <email address hidden>
Date: Tue Aug 18 10:49:30 2020 -0500

    Fix zuul failures from new release of ansible-lint

    ansible-lint 4.3.0 was just released Aug 18, 2020 and
    introduced new checks that the existing code fails.

    This blocks any ansible reviews from merging.

    The new checks which are now being suppressed:
      106 Role name does not match pattern
      208 File permissions not mentioned

    The ansible code can be updated in a future submission
    to satisy these checks if desired.

    Change-Id: I7fdfe1537420b2358110cab176c3734007830e70
    Closes-Bug: 1892065
    Signed-off-by: albailey <email address hidden>
    (cherry picked from commit c0db11934e55b95ba3fff08d53c7be0c095fe49e)

Al Bailey (albailey1974) on 2020-08-18
Changed in starlingx:
assignee: nobody → Al Bailey (albailey1974)
Ghada Khalil (gkhalil) on 2020-08-26
tags: added: stx.3.0 stx.4.0 stx.5.0 stx.zuul
Changed in starlingx:
importance: Undecided → High
Ghada Khalil (gkhalil) on 2020-08-27
tags: added: in-r-stx40
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers